aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Isaksen <d@duniel.no>2019-06-07 23:07:13 +0000
committerKevin Daudt <kdaudt@alpinelinux.org>2019-06-14 19:39:20 +0000
commit49f9fa8fd4f0078d4499515d11043d6d40abb40c (patch)
tree3e2a1826b5b957d6e8eb021457b1dbd573b2d6bd
parentb6174cc9b000485ae0540bce38a774465612f679 (diff)
downloadaports-49f9fa8fd4f0078d4499515d11043d6d40abb40c.tar.gz
aports-49f9fa8fd4f0078d4499515d11043d6d40abb40c.tar.bz2
aports-49f9fa8fd4f0078d4499515d11043d6d40abb40c.tar.xz
community/erlang: bump to 22.0.2, take maintainership, fix some applications
Signed-off-by: Daniel Isaksen <d@duniel.no> Closes GH-8629
-rw-r--r--community/erlang/0005-Do-not-install-nteventlog-and-related-doc-files-on-n.patch26
-rw-r--r--community/erlang/0010-fix-nteventlog-remove.patch4
-rw-r--r--community/erlang/APKBUILD184
3 files changed, 106 insertions, 108 deletions
diff --git a/community/erlang/0005-Do-not-install-nteventlog-and-related-doc-files-on-n.patch b/community/erlang/0005-Do-not-install-nteventlog-and-related-doc-files-on-n.patch
index 05ea1eec89..73b5b08928 100644
--- a/community/erlang/0005-Do-not-install-nteventlog-and-related-doc-files-on-n.patch
+++ b/community/erlang/0005-Do-not-install-nteventlog-and-related-doc-files-on-n.patch
@@ -5,45 +5,47 @@ Subject: [PATCH] Do not install nteventlog and related doc-files on non-win32
Signed-off-by: Peter Lemenkov <lemenkov@gmail.com>
+diff --git a/lib/os_mon/doc/src/Makefile b/lib/os_mon/doc/src/Makefile
+index 8e9a4c333c..2c9d395cdc 100644
--- a/lib/os_mon/doc/src/Makefile
+++ b/lib/os_mon/doc/src/Makefile
-@@ -36,12 +36,17 @@
+@@ -36,11 +36,16 @@ RELSYSDIR = $(RELEASE_PATH)/lib/$(APPLICATION)-$(VSN)
# Target Specs
# ----------------------------------------------------
XML_APPLICATION_FILES = ref_man.xml
+ifeq ($(findstring win32,$(TARGET)),win32)
-+NTEVENTLOG_DOCFILE=nteventlog.xml
++ NTEVENTLOG_DOCFILE=nteventlog.xml
+else
-+NTEVENTLOG_DOCFILE=
++ NTEVENTLOG_DOCFILE=
+endif
XML_REF3_FILES = cpu_sup.xml \
disksup.xml \
memsup.xml \
- os_mon_mib.xml \
os_sup.xml \
- nteventlog.xml
+ $(NTEVENTLOG_DOCFILE)
- XML_REF6_FILES = os_mon_app.xml
+ XML_REF6_FILES = os_mon_app.xml
+diff --git a/lib/os_mon/src/Makefile b/lib/os_mon/src/Makefile
+index 923a31f290..3d0edf1ef9 100644
--- a/lib/os_mon/src/Makefile
+++ b/lib/os_mon/src/Makefile
-@@ -34,8 +34,13 @@
+@@ -34,7 +34,12 @@ RELSYSDIR = $(RELEASE_PATH)/lib/os_mon-$(VSN)
# ----------------------------------------------------
# Target Specs
# ----------------------------------------------------
+-MODULES= disksup memsup cpu_sup os_mon os_sup os_mon_sysinfo nteventlog
+ifeq ($(findstring win32,$(TARGET)),win32)
-+NTEVENTLOG=nteventlog
++ NTEVENTLOG=nteventlog
+else
-+NTEVENTLOG=
++ NTEVENTLOG=
+endif
- MODULES= disksup memsup cpu_sup os_mon os_mon_mib os_sup os_mon_sysinfo \
-- nteventlog
-+ $(NTEVENTLOG)
++MODULES= disksup memsup cpu_sup os_mon os_sup os_mon_sysinfo $(NTEVENTLOG)
INCLUDE=../include
CSRC=../c_src
-@@ -79,7 +84,11 @@
+@@ -78,7 +83,11 @@ docs:
# ----------------------------------------------------
$(APP_TARGET): $(APP_SRC) ../vsn.mk
diff --git a/community/erlang/0010-fix-nteventlog-remove.patch b/community/erlang/0010-fix-nteventlog-remove.patch
index b981085165..6a4e8729da 100644
--- a/community/erlang/0010-fix-nteventlog-remove.patch
+++ b/community/erlang/0010-fix-nteventlog-remove.patch
@@ -1,9 +1,11 @@
+diff --git a/lib/os_mon/src/os_mon.app.src b/lib/os_mon/src/os_mon.app.src
+index 6c9b0d7576..4f21264c2e 100644
--- a/lib/os_mon/src/os_mon.app.src
+++ b/lib/os_mon/src/os_mon.app.src
@@ -22,7 +22,7 @@
[{description, "CPO CXC 138 46"},
{vsn, "%VSN%"},
- {modules, [os_mon, os_mon_mib, os_sup,
+ {modules, [os_mon, os_sup,
- disksup, memsup, cpu_sup, os_mon_sysinfo, nteventlog]},
+ disksup, memsup, cpu_sup, os_mon_sysinfo]},
{registered, [os_mon_sup, os_mon_sysinfo, disksup, memsup, cpu_sup,
diff --git a/community/erlang/APKBUILD b/community/erlang/APKBUILD
index 6914b9891b..031a4f23b2 100644
--- a/community/erlang/APKBUILD
+++ b/community/erlang/APKBUILD
@@ -1,76 +1,68 @@
# Contributor: Michael Mason <ms13sp@gmail.com>
# Contributor: Gabriele Santomaggio <g.santomaggio@gmail.com>
# Contributor: Marlus Saraiva <marlus.saraiva@gmail.com>
-# Maintainer:
+# Maintainer: Daniel Isaksen <d@duniel.no>
pkgname=erlang
-pkgver=21.2.6
+pkgver=22.0.2
_srcver=$pkgver
-pkgrel=2
+pkgrel=0
pkgdesc="General-purpose programming language and runtime environment"
url="http://www.erlang.org/"
license="Apache-2.0"
arch="all"
depends="$pkgname-kernel $pkgname-stdlib $pkgname-compiler"
-makedepends="perl-dev zlib-dev ncurses-dev openssl-dev openjdk8 unixodbc-dev
- autoconf wxgtk-dev glu-dev"
+makedepends="perl-dev perl zlib-dev ncurses-dev openssl-dev openjdk8
+ unixodbc-dev autoconf wxgtk-dev glu-dev"
subpackages="$pkgname-dev
- $pkgname-asn1:asn
- $pkgname-common-test:common_test
- $pkgname-compiler:compiler
- $pkgname-crypto:crypto
- $pkgname-debugger:debugger
- $pkgname-dialyzer:dialyzer
- $pkgname-diameter:diameter
- $pkgname-edoc:edoc
- $pkgname-eldap:eldap
- $pkgname-erl-docgen:erl_docgen
- $pkgname-erl-interface:erl_interface
- $pkgname-erts:erts
- $pkgname-et:et
- $pkgname-eunit:eunit
- $pkgname-hipe:hipe
- $pkgname-inets:inets
- $pkgname-jinterface:jinterface
- $pkgname-kernel:kernel
- $pkgname-megaco:megaco
- $pkgname-mnesia:mnesia
- $pkgname-observer:observer
- $pkgname-odbc:odbc
- $pkgname-os-mon:os_mon
- $pkgname-otp-mibs:otp_mibs
- $pkgname-parsetools:parsetools
- $pkgname-public-key:public_key
- $pkgname-reltool:reltool
- $pkgname-runtime-tools:runtime_tools
- $pkgname-sasl:sasl
- $pkgname-snmp:snmp
- $pkgname-ssh:ssh
- $pkgname-ssl:ssl
- $pkgname-stdlib:stdlib
- $pkgname-syntax-tools:syntax_tools
- $pkgname-tools:tools
- $pkgname-xmerl:xmerl
- $pkgname-wx:wx"
-options="!check"
+ $pkgname-asn1:asn
+ $pkgname-common-test:common_test
+ $pkgname-compiler:compiler
+ $pkgname-crypto:crypto
+ $pkgname-debugger:debugger
+ $pkgname-dialyzer:dialyzer
+ $pkgname-diameter:diameter
+ $pkgname-edoc:edoc
+ $pkgname-eldap:eldap
+ $pkgname-erl-docgen:erl_docgen
+ $pkgname-erl-interface:erl_interface
+ $pkgname-erts:erts
+ $pkgname-et:et
+ $pkgname-eunit:eunit
+ $pkgname-hipe:hipe
+ $pkgname-inets:inets
+ $pkgname-jinterface:jinterface
+ $pkgname-kernel:kernel
+ $pkgname-megaco:megaco
+ $pkgname-mnesia:mnesia
+ $pkgname-observer:observer
+ $pkgname-odbc:odbc
+ $pkgname-os-mon:os_mon
+ $pkgname-parsetools:parsetools
+ $pkgname-public-key:public_key
+ $pkgname-reltool:reltool
+ $pkgname-runtime-tools:runtime_tools
+ $pkgname-sasl:sasl
+ $pkgname-snmp:snmp
+ $pkgname-ssh:ssh
+ $pkgname-ssl:ssl
+ $pkgname-stdlib:stdlib
+ $pkgname-syntax-tools:syntax_tools
+ $pkgname-tftp:tftp
+ $pkgname-tools:tools
+ $pkgname-wx:wx
+ $pkgname-xmerl:xmerl"
+#options="!check"
source="https://github.com/erlang/otp/archive/OTP-$_srcver.tar.gz
- 0005-Do-not-install-nteventlog-and-related-doc-files-on-n.patch
- 0010-fix-nteventlog-remove.patch
- safe-signal-handling.patch
- "
+ 0005-Do-not-install-nteventlog-and-related-doc-files-on-n.patch
+ 0010-fix-nteventlog-remove.patch
+ safe-signal-handling.patch"
builddir="$srcdir/otp-OTP-$_srcver"
-prepare() {
- default_prepare || return 1
-
- cd "$builddir"
- #rm lib/os_mon/ebin/*
-}
-
build() {
- cd "$builddir"
export CPPFLAGS="-D_BSD_SOURCE $CPPFLAGS"
export PATH="/usr/lib/jvm/java-1.8-openjdk/bin:$PATH"
+
./otp_build autoconf
./configure --prefix=/usr \
--sysconfdir=/etc \
@@ -80,25 +72,27 @@ build() {
--build="$CBUILD" \
--enable-threads \
--enable-shared-zlib \
- --enable-ssl=dynamic-ssl-lib \
- || return 1
- make -j1 || return 1
-}
+ --enable-ssl=dynamic-ssl-lib
+ make
+ }
+
+ check() {
+ ERL_TOP="$builddir" make release_tests
+ }
package() {
- cd "$builddir"
- make -j1 DESTDIR="$pkgdir" install || return 1
+ make DESTDIR="$pkgdir" install
}
_mv_erlang_lib() {
local lib=$1
case "$depends" in
- *$subpkgname*) depends="";;
- *) depends="$pkgname=$pkgver-r$pkgrel";;
+ *$subpkgname*) depends="";;
+ *) depends="$pkgname=$pkgver-r$pkgrel";;
esac
mkdir -p "$subpkgdir"/usr/lib/erlang/lib
- rm -f "$pkgdir"/usr/lib/erlang/lib/$lib-*/src/*.erl
+ rm -f "$pkgdir"/usr/lib/erlang/lib/$lib-*/src/*.erl
mv "$pkgdir"/usr/lib/erlang/lib/$lib-* "$subpkgdir"/usr/lib/erlang/lib/
}
@@ -127,7 +121,6 @@ observer() { _mv_erlang_lib observer; }
odbc() { _mv_erlang_lib odbc; }
orber() { _mv_erlang_lib orber; }
os_mon() { _mv_erlang_lib os_mon; }
-otp_mibs() { _mv_erlang_lib otp_mibs; }
parsetools() { _mv_erlang_lib parsetools; }
public_key() { _mv_erlang_lib public_key; depends="$depends erlang-asn1"; }
reltool() { _mv_erlang_lib reltool; }
@@ -138,47 +131,48 @@ ssh() { _mv_erlang_lib ssh; depends="$depends erlang-public-key erlang-inets"; }
ssl() { _mv_erlang_lib ssl; depends="$depends erlang-public-key erlang-inets"; }
stdlib() { _mv_erlang_lib stdlib; }
syntax_tools() { _mv_erlang_lib syntax_tools; }
+tftp() { _mv_erlang_lib tftp; }
tools() { _mv_erlang_lib tools; }
-xmerl() { _mv_erlang_lib xmerl; }
wx() { _mv_erlang_lib wx; }
+xmerl() { _mv_erlang_lib xmerl; }
dev() {
set -x
- local i= j=
+ local i=''
depends="$pkgname=$pkgver-r$pkgrel $depends_dev"
pkgdesc="$pkgdesc (development files)"
- cd "$pkgdir" || return 0
+ cd "$pkgdir"
local libdirs=usr/
[ -d lib/ ] && libdirs="lib/ $libdirs"
for i in usr/include usr/lib/pkgconfig usr/share/aclocal\
- usr/share/gettext usr/bin/*-config \
- usr/share/vala/vapi usr/share/gir-[0-9]*\
- usr/share/qt*/mkspecs \
- usr/lib/qt*/mkspecs \
- usr/lib/cmake \
- $(find . -name include -type d) \
- $(find $libdirs -name '*.[acho]' \
- -o -name '*.prl' 2>/dev/null); do
- if [ -e "$pkgdir/$i" ] || [ -L "$pkgdir/$i" ]; then
- d="$subpkgdir/${i%/*}" # dirname $i
- mkdir -p "$d"
- mv "$pkgdir/$i" "$d"
- rmdir "$pkgdir/${i%/*}" 2>/dev/null || true
- fi
- done
- # move *.so links needed when linking the apps to -dev packages
- for i in lib/*.so usr/lib/*.so; do
- if [ -L "$i" ]; then
- mkdir -p "$subpkgdir"/"${i%/*}"
- mv "$i" "$subpkgdir/$i" || return 1
- fi
- done
- return 0
-}
+ usr/share/gettext usr/bin/*-config \
+ usr/share/vala/vapi usr/share/gir-[0-9]* \
+ usr/share/qt*/mkspecs \
+ usr/lib/qt*/mkspecs \
+ usr/lib/cmake \
+ $(find . -name include -type d) \
+ $(find $libdirs -name '*.[acho]' \
+ -o -name '*.prl' 2>/dev/null); do
+ if [ -e "$pkgdir/$i" ] || [ -L "$pkgdir/$i" ]; then
+ d="$subpkgdir/${i%/*}" # dirname $i
+ mkdir -p "$d"
+ mv "$pkgdir/$i" "$d"
+ rmdir "$pkgdir/${i%/*}" 2>/dev/null || true
+ fi
+ done
+
+ # move *.so links needed when linking the apps to -dev packages
+ for i in lib/*.so usr/lib/*.so; do
+ if [ -L "$i" ]; then
+ mkdir -p "$subpkgdir"/"${i%/*}"
+ mv "$i" "$subpkgdir/$i"
+ fi
+ done
+ }
-sha512sums="0d43a5eb6e9d01e2997b7c82a15b2bd7483a0623f86f8aaff3ec59b5da6aa2cd8135d48cf66233e28c780473f83b90ad56c076374273cefa79b79622e57027f9 OTP-21.2.6.tar.gz
-5d377faccd73382bc86c5aa3182767bc5d1639220c78c2f624135f597f3c823a6871ff13f6f8a109baa8a9ae5d215233b40193e5cfe07af275aa53f327e956de 0005-Do-not-install-nteventlog-and-related-doc-files-on-n.patch
-bb4346dabe17115bc310837c5f0aeb367a745d8ba2159495084e599d0419fc57648d144c811306914ac48d0e087d6150a356f38640ba070642b4578acc5fe573 0010-fix-nteventlog-remove.patch
+sha512sums="6dbc3705a8b9ba5c8b6694e256c226c882521d87c3af4deb9212c33fff83b510191ea547888d15ced17dd66857fb1d7ba72d9fbd54a5c63091aa86680b960436 OTP-22.0.2.tar.gz
+6a711e25b55816527c0a793e45dafb9a95b0a20fa537f8e03fb918e0137f1b1f60e414861a7005b8230a72e3e2f5e0caedb054a6c492b6f6f859ddbad47d2175 0005-Do-not-install-nteventlog-and-related-doc-files-on-n.patch
+dbbc05908cd4b1a3842ff32afcef8a0621b1ec532e83d70fed4ee9263b3f82afc0d173c7a7c776196c8f54c2ab2bca3c9ce35da676dedd5802dbc23111525577 0010-fix-nteventlog-remove.patch
dc2fe08e40c73b48b356382c43c982f9f0091e601bbdf6e032358bd5c74c3573b423ef4df454b87c8534105fdbc19ce2245609cc7d5679109c15abaf56d3ef69 safe-signal-handling.patch"